#include "xwater.h"

XWater::XWater()
    : XAsset()
    , mWritable()
    , mH0X(0)
    , mH0Y(0)
    , mWTerm(0)
    , mM(0)
    , mN(0)
    , mLx(0)
    , mLz(0)
    , mGravity(0)
    , mWindvel(0)
    , mWinddir({ 0, 0 })
    , mAmplitude(0)
    , mCodeConstant({ 0, 0, 0, 0 })
    , mImage(new XGfxImage())
{
    
}

XWater::~XWater()
{
    
}

void XWater::ParseData(QDataStream *aStream)
{
    
}

void XWater::Clear()
{
    mWritable = XWaterWritable();
    mH0X = 0;
    mH0Y = 0;
    mWTerm = 0;
    mM = 0;
    mN = 0;
    mLx = 0;
    mLz = 0;
    mGravity = 0;
    mWindvel = 0;
    mWinddir = { 0, 0 };
    mAmplitude = 0;
    mCodeConstant = { 0, 0, 0, 0 };
    mImage = new XGfxImage();
}
